org.springframework.test.web.servlet

## Interface ResultHandler

All Known Implementing Classes:
  PrintingResultHandler

    public interface ResultHandler

Executes a generic action (e.g. printing debug information) on the result of an executed request.

See static factory methods in `org.springframework.test.web.server.result.MockMvcResultHandlers`.

Example:

     static imports: MockMvcRequestBuilders.*, MockMvcResultHandlers.*

     mockMvc.perform(get("/form")).andDo(print());

Since:
  3.2
Author:
  Rossen Stoyanchev

### Method Summary

Methods
`void` `handle(MvcResult result)` Apply the action on the given result.

### Method Detail

#### handle

    void handle(MvcResult result)
                throws Exception

Apply the action on the given result.

Parameters:
  `result` - the result of the executed request
Throws:
  `Exception` - if a failure occurs